Ticket #12740

JProgressBarの描画トラブル
Open Date: 2008-06-13 08:51 Last Update: 2009-02-11 22:15

Reporter:
Owner:
Type:
Status:
Open [Owner assigned]
Component:
(None)
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Works For Me

Details

リリース 2.1.6 において、ごくまれにJProgressBarの描画内
部らしきところでIndexOutOfBoundsExceptionが出る。
再現性は大変低い。

Attachment File List

No attachments

Ticket History (3/7 Histories)

2008-06-13 09:00 Updated by: olyutorskii
Comment
Logged In: YES
user_id=34802

WinXP & SunJRE1.6.0_5の話です。
JProgressBarが例外出すって何なんだ。
プログラマー側に責任があったとして、どういう状況がありうるの
かな。
2008-07-11 02:50 Updated by: olyutorskii
  • Resolution Update from None to Fixed
  • Ticket Close date is changed to 2008-07-11 02:50
  • Status Update from Open to Closed
Comment
Logged In: YES
user_id=34802

2.5.2 で徹底的にEventDispatchThreadの処理を洗い出したので、
多分解決しているはず。
2008-07-16 00:53 Updated by: olyutorskii
  • Status Update from Closed to Open
  • Resolution Update from Fixed to Accepted
Comment
Logged In: YES
user_id=34802

やっぱり2.5.2でも直ってない。再OPEN。
2008-07-28 01:23 Updated by: olyutorskii
Comment
Logged In: YES
user_id=34802

例外詳細情報の取得に成功

Exception in thread "AWT-EventQueue-0"
java.lang.NullPointerException
at
javax.swing.plaf.basic.BasicProgressBarUI.updateSizes(BasicProgressBarUI.java:470)
at
javax.swing.plaf.basic.BasicProgressBarUI.getBox(BasicProgressBarUI.java:427)
at
javax.swing.plaf.basic.BasicProgressBarUI.paintIndeterminate(BasicProgressBarUI.java:582)
at
javax.swing.plaf.metal.MetalProgressBarUI.paintIndeterminate(MetalProgressBarUI.java:126)
at
javax.swing.plaf.basic.BasicProgressBarUI.paint(BasicProgressBarUI.java:392)
at
javax.swing.plaf.ComponentUI.update(ComponentUI.java:143)
at
javax.swing.JComponent.paintComponent(JComponent.java:763)
at javax.swing.JComponent.paint(JComponent.java:1027)
at
javax.swing.JComponent.paintToOffscreen(JComponent.java:5122)
at
javax.swing.BufferStrategyPaintManager.paint(BufferStrategyPaintManager.java:285)
at
javax.swing.RepaintManager.paint(RepaintManager.java:1128)
at
javax.swing.JComponent._paintImmediately(JComponent.java:5070)
at
javax.swing.JComponent.paintImmediately(JComponent.java:4880)
at
javax.swing.RepaintManager.paintDirtyRegions(RepaintManager.java:723)
at
javax.swing.RepaintManager.paintDirtyRegions(RepaintManager.java:679)
at
javax.swing.RepaintManager.seqPaintDirtyRegions(RepaintManager.java:659)
at
javax.swing.SystemEventQueueUtilities$ComponentWorkRequest.run(SystemEventQueueUtilities.java:128)
at
java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
at
java.awt.EventQueue.dispatchEvent(EventQueue.java:597)
at
java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:273)
at
java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:183)
at
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:173)
at
java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:168)
at
java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:160)
at
java.awt.EventDispatchThread.run(EventDispatchThread.java:121)
2008-10-10 02:45 Updated by: olyutorskii
  • Resolution Update from Accepted to Works For Me
Comment
Logged In: YES
user_id=34802

ここ数ヶ月再現してないなぁ。クローズしてもいいかなぁ。
2009-02-11 21:57 Updated by: olyutorskii
  • Resolution Update from Works For Me to Accepted
2009-02-11 22:15 Updated by: olyutorskii
  • Resolution Update from Accepted to Works For Me

Edit

Please login to add comment to this ticket » Login